BITMAP_ALLOCATE_REGI(9)

NAME
bitmap_allocate_region - allocate bitmap region

SYNOPSIS

int bitmap_allocate_region(unsigned long * bitmap, unsigned int pos, int order);

ARGUMENTS

bitmap
    array of unsigned longs corresponding to the bitmap

pos
    beginning of bit region to allocate

order
    region size (log base 2 of number of bits) to allocate

DESCRIPTION

Allocate (set bits in) a specified region of a bitmap.

Return 0 on success, or -EBUSY if specified region wasn't free (not all bits were zero).

COPYRIGHT